<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.util.domain.DomainSuffix (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.util.domain.DomainSuffix (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/util/domain/class-use/DomainSuffix.html" target="_top">Frames</a></li>
<li><a href="DomainSuffix.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.util.domain.DomainSuffix" class="title">Uses of Class<br>org.apache.nutch.util.domain.DomainSuffix</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.util">org.apache.nutch.util</a></td>
<td class="colLast">
<div class="block">Miscellaneous utility classes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.util.domain">org.apache.nutch.util.domain</a></td>
<td class="colLast">
<div class="block">Classes for domain name analysis.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a> in <a href="../../../../../../org/apache/nutch/util/package-summary.html">org.apache.nutch.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/util/package-summary.html">org.apache.nutch.util</a> that return <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></code></td>
<td class="colLast"><span class="typeNameLabel">URLUtil.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/util/URLUtil.html#getDomainSuffix-java.lang.String-">getDomainSuffix</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url)</code>
<div class="block">Returns the <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain"><code>DomainSuffix</code></a> corresponding to the last public part of
 the hostname</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></code></td>
<td class="colLast"><span class="typeNameLabel">URLUtil.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/util/URLUtil.html#getDomainSuffix-java.net.URL-">getDomainSuffix</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Returns the <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain"><code>DomainSuffix</code></a> corresponding to the last public part of
 the hostname</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.util.domain">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a> in <a href="../../../../../../org/apache/nutch/util/domain/package-summary.html">org.apache.nutch.util.domain</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a> in <a href="../../../../../../org/apache/nutch/util/domain/package-summary.html">org.apache.nutch.util.domain</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/util/domain/TopLevelDomain.html" title="class in org.apache.nutch.util.domain">TopLevelDomain</a></span></code>
<div class="block">(From wikipedia) A top-level domain (TLD) is the last part of an Internet
 domain name; that is, the letters which follow the final dot of any domain
 name.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/nutch/util/domain/package-summary.html">org.apache.nutch.util.domain</a> that return <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">DomainSuffix</a></code></td>
<td class="colLast"><span class="typeNameLabel">DomainSuffixes.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/util/domain/DomainSuffixes.html#get-java.lang.String-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extension)</code>
<div class="block">Return the <a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain"><code>DomainSuffix</code></a> object for the extension, if extension is a
 top level domain returned object will be an instance of
 <a href="../../../../../../org/apache/nutch/util/domain/TopLevelDomain.html" title="class in org.apache.nutch.util.domain"><code>TopLevelDomain</code></a></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/nutch/util/domain/DomainSuffix.html" title="class in org.apache.nutch.util.domain">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/util/domain/class-use/DomainSuffix.html" target="_top">Frames</a></li>
<li><a href="DomainSuffix.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
